.personal-solution__title-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.personal-solution__title {
    font-size: 40px;
    font-weight: 100;
    margin-bottom: 25px;
}

.personal-solution__solutions-btns {
    display: flex;
    flex-wrap: wrap;
    /* gap: 70px; */
    gap: 0px 70px;
    margin-bottom: 30px;
}

.personal-solution__btn {
    border-bottom: 1px solid transparent;
    font-size: 14px;
    font-weight: 100;
}

.personal-solution__btn:hover {
    border-bottom: 1px solid #3c4c5d;
    /* text-decoration: underline; */
    cursor: pointer;
}

.personal-solution__selected {
    margin-bottom: 30px;
}

.personal-solution__content-wrapper {
    display: flex;
    flex-direction: column;
}

.personal-solution__content-wrapper .personal-solution__btn {
    display: block;
    margin-top: 20px;
}

.personal-solution__detail-wrapper p.personal-solution__detail-title {
    font-size: 12px;
    font-weight: 100;
    margin-bottom: 12px;
    color: #989EAB;
}

.personal-solution__selected p.personal-solution__selected-title {
    font-size: 12px;
    font-weight: 100;
    margin-bottom: 12px;
    color: #989EAB;
}

.personal-solution__selected-title {
    display: none;
}

.personal-solution__selected-wrapper {
    display: flex;
}

.personal-solution__selected-wrapper.is-carousel-has-shadow {
    --shadow-color: #ffffff;
}

.personal-solution__selected-wrapper .swiper-wrapper .swiper-slide {
    padding: 14px;
    font-size: 15px;
    font-weight: 100;
    display: flex;
    /* gap: 45px; */
    gap: 10px;
    justify-content: space-between;
    align-items: center;
    line-height: 100%;
    border-radius: 5px;
    background-color: #ffffff;
    max-width: 70%;
    cursor: pointer;
    word-break: break-all;
}

.personal-solution__slide-name {
    flex: 1;
}

.personal-solution__selected-wrapper .one-item-swiper .swiper-wrapper .swiper-slide {
    max-width: 100%;
}

.personal-solution__selected-wrapper .swiper.one-item-swiper {
    margin-left: 0;
}

.personal-solution__selected-wrapper .swiper-wrapper .swiper-slide.sol-selected {
    color: #ffffff;
    background-color: #59718B;
}

.personal-solution__selected-wrapper .swiper-wrapper .swiper-slide.sol-selected::after {
    background-color: #ffffff; 
}

.personal-solution__selected-wrapper .swiper {
    margin: 0;
    width: 100%;
}

.personal-solution__selected-wrapper .swiper-wrapper {
    flex-direction: column;
    gap: 7px;
    width: 100%;
}

.personal-solution__selected-wrapper .swiper-wrapper .swiper-slide {
    max-width: 100%;
    width: 100%;
}

.personal-solution__detail-name {
    display: flex;
    display: none;
    justify-content: space-between;
    align-items: center;
    border-radius: 5px;
    background-color: #ffffff;
    padding: 20px 15px;
    font-size: 20px;
    font-weight: 100;
    margin-bottom: 20px;
}

.personal-solution__detail-name div {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.personal-solution__update-btn {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-image: url('data:image/svg+xml;charset=UTF-8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M21.455 5.41575C21.6473 5.70687 21.6152 6.10248 21.3589 6.35876L12.1666 15.5511C12.0723 15.6454 11.9547 15.7128 11.8258 15.7465L7.99734 16.7465C7.87247 16.7791 7.74376 16.7784 7.62283 16.7476C7.49427 16.7149 7.37449 16.6482 7.27748 16.5511C7.0892 16.3629 7.01486 16.0889 7.08215 15.8313L8.08215 12.0028C8.11162 11.89 8.16691 11.7786 8.2434 11.6912L17.4699 2.46967C17.5506 2.38891 17.6479 2.32846 17.7538 2.29163C17.8323 2.26432 17.9155 2.25 18.0002 2.25C18.1991 2.25 18.3899 2.32902 18.5305 2.46967L21.3589 5.2981C21.3956 5.33471 21.4276 5.37416 21.455 5.41575ZM19.768 5.82843L18.0002 4.06066L9.48202 12.5788L8.85703 14.9716L11.2498 14.3466L19.768 5.82843Z" fill="%233C4C5D"/><path d="M19.6415 17.1603C19.9149 14.8227 20.0019 12.4688 19.9025 10.1208C19.8978 10.0084 19.94 9.89898 20.0196 9.81942L21.0029 8.83609C21.1238 8.71519 21.3304 8.79194 21.3417 8.96254C21.5266 11.7522 21.4565 14.5545 21.1314 17.3346C20.8948 19.3571 19.2705 20.9421 17.2584 21.167C13.7919 21.5544 10.2085 21.5544 6.74195 21.167C4.7299 20.9421 3.10556 19.3571 2.86901 17.3346C2.45447 13.7903 2.45447 10.2097 2.86901 6.66543C3.10556 4.6429 4.7299 3.05789 6.74195 2.83301C9.3717 2.5391 12.0686 2.46815 14.7308 2.62016C14.9024 2.62996 14.9806 2.83757 14.8591 2.95909L13.8666 3.95165C13.7879 4.03034 13.6799 4.07261 13.5687 4.06885C11.3423 3.99376 9.10074 4.07872 6.90856 4.32373C5.57846 4.47239 4.51297 5.522 4.35885 6.83968C3.95786 10.2682 3.95786 13.7318 4.35885 17.1603C4.51297 18.478 5.57845 19.5276 6.90856 19.6763C10.2644 20.0513 13.736 20.0513 17.0918 19.6763C18.4219 19.5276 19.4874 18.478 19.6415 17.1603Z" fill="%233C4C5D"/></svg>');
    background-size: contain;
    background-repeat: no-repeat;
    vertical-align: middle;
}

.sol-selected .personal-solution__update-btn {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-image: url('data:image/svg+xml;charset=UTF-8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M21.455 5.41575C21.6473 5.70687 21.6152 6.10248 21.3589 6.35876L12.1666 15.5511C12.0723 15.6454 11.9547 15.7128 11.8258 15.7465L7.99734 16.7465C7.87247 16.7791 7.74376 16.7784 7.62283 16.7476C7.49427 16.7149 7.37449 16.6482 7.27748 16.5511C7.0892 16.3629 7.01486 16.0889 7.08215 15.8313L8.08215 12.0028C8.11162 11.89 8.16691 11.7786 8.2434 11.6912L17.4699 2.46967C17.5506 2.38891 17.6479 2.32846 17.7538 2.29163C17.8323 2.26432 17.9155 2.25 18.0002 2.25C18.1991 2.25 18.3899 2.32902 18.5305 2.46967L21.3589 5.2981C21.3956 5.33471 21.4276 5.37416 21.455 5.41575ZM19.768 5.82843L18.0002 4.06066L9.48202 12.5788L8.85703 14.9716L11.2498 14.3466L19.768 5.82843Z" fill="white"/><path d="M19.6415 17.1603C19.9149 14.8227 20.0019 12.4688 19.9025 10.1208C19.8978 10.0084 19.94 9.89898 20.0196 9.81942L21.0029 8.83609C21.1238 8.71519 21.3304 8.79194 21.3417 8.96254C21.5266 11.7522 21.4565 14.5545 21.1314 17.3346C20.8948 19.3571 19.2705 20.9421 17.2584 21.167C13.7919 21.5544 10.2085 21.5544 6.74195 21.167C4.7299 20.9421 3.10556 19.3571 2.86901 17.3346C2.45447 13.7903 2.45447 10.2097 2.86901 6.66543C3.10556 4.6429 4.7299 3.05789 6.74195 2.83301C9.3717 2.5391 12.0686 2.46815 14.7308 2.62016C14.9024 2.62996 14.9806 2.83757 14.8591 2.95909L13.8666 3.95165C13.7879 4.03034 13.6799 4.07261 13.5687 4.06885C11.3423 3.99376 9.10074 4.07872 6.90856 4.32373C5.57846 4.47239 4.51297 5.522 4.35885 6.83968C3.95786 10.2682 3.95786 13.7318 4.35885 17.1603C4.51297 18.478 5.57845 19.5276 6.90856 19.6763C10.2644 20.0513 13.736 20.0513 17.0918 19.6763C18.4219 19.5276 19.4874 18.478 19.6415 17.1603Z" fill="white"/></svg>');
    background-size: contain;
    background-repeat: no-repeat;
    vertical-align: middle;
}

.personal-solution__subject_wrapper {
    display: flex;
    flex-direction: column;
}

.personal-solution__subject {
    display: flex;
    gap: 5px;
    margin-bottom: 20px;
}

.personal-solution__subject-tasks {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 15px;
    background-color: #3C4C5D;
    color: #ffffff;
    border-radius: 5px;
    font-size: 12px;
    font-weight: 400;
}

.personal-solution__btn--add-task {
    display: none;
}

.personal-solution__btn--add-task--mobile {
    display: block;
}

.personal-solution__subject-titles {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

div.personal-solution__subject-titles p {
    margin-bottom: 0;
}

.personal-solution__subject-solutions {
    display: flex;
    flex-direction: column;
    flex: 3;
    background-color: transparent;
}

.personal-solution__subject-solutions-item {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 10px;
    font-size: 12px;
    font-weight: 100;
}

.personal-solution__subject-solutions-item div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.personal-solution__subject-solutions-item div p {
    margin-bottom: 0;
}

.personal-solution__subject-solutions-item div a {
    border-bottom: 1px solid transparent;
}

.personal-solution__subject-solutions-item div a:hover {
    /* text-decoration: underline; */
    border-bottom: 1px solid #3c4c5d;
    cursor: pointer;
}

.personal-solution__close-btn {
    background-color: #F6F6F7;
    padding: 10px 13px;
    border-radius: 50%;
    cursor: pointer;
}

.personal-solution__close-btn::after {
    content: "";
    display: inline-block;
    width: 11px;
    height: 11px;
    vertical-align: middle;
    /* margin-left: 8px; */
    background-color: #3C4C5D; 
    -webkit-mask-image: url('data:image/svg+xml;charset=UTF-8,<svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.750227 9.29424L9.29443 0.750031" stroke="black" stroke-width="1.5" stroke-linecap="round"/><path d="M0.750228 0.750013L9.29443 9.29422" stroke="black" stroke-width="1.5" stroke-linecap="round"/></svg>');
    mask-image: url('data:image/svg+xml;charset=UTF-8,<svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.750227 9.29424L9.29443 0.750031" stroke="black" stroke-width="1.5" stroke-linecap="round"/><path d="M0.750228 0.750013L9.29443 9.29422" stroke="black" stroke-width="1.5" stroke-linecap="round"/></svg>');
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
}

.personal-solution__subject-footer {
    display: flex;
    position: relative;
    z-index: 1;
    top: -2px;
}

.personal-solution__subject-solutions-title {
    padding: 15px 15px 20px 15px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background-color: #ffffff;
    font-size: 12px;
    font-weight: 600;
}

.personal-solution__subject-solutions-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 0 15px 20px 15px;
    background-color: #ffffff;
    border-bottom-right-radius: 5px;
}


.personal-solution__subject-footer .personal-solution__subject-footer--left {
    flex: 1;
    height: 50px;
    border-radius: 5px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    background: #fff;
    padding: 0 calc(15px / 2) 0 15px;
    display: flex;
    align-items: center;
    justify-content: stretch;
}

.personal-solution__del-sol {
    background-color: transparent;
}

.personal-solution__del-sol::after {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    vertical-align: middle;
    /* margin-left: 8px; */
    background-color: #3C4C5D; 
    -webkit-mask-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M19 5L5 19M5 5L19 19" stroke="white" stroke-width="1.5" stroke-linecap="round"/></svg>');
    mask-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M19 5L5 19M5 5L19 19" stroke="white" stroke-width="1.5" stroke-linecap="round"/></svg>');
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
}

.sol-selected .personal-solution__del-sol::after {
    background-color: white; 
}

.personal-solution__subject-footer .personal-solution__subject-footer--right .personal-solution__close-btn {
    padding: 10px 16px;
    background-color: #ffffff;
    border-radius: 50%;
    transition: .5s;
}

.personal-solution__subject-footer .personal-solution__subject-footer--right .personal-solution__close-btn:hover {
    background-color: #3C4C5D;
}

.personal-solution__subject-footer .personal-solution__subject-footer--right .personal-solution__close-btn:hover::after {
    background-color: #ffffff;
}

.personal-solution__subject-footer .personal-solution__subject-footer--right {
    flex: 0 0 50px;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    position: relative;
}

.personal-solution__subject-footer .personal-solution__subject-footer--right::before {
    content: "";
    aspect-ratio: 1;
    content: "";
    position: absolute;
    z-index: 1;
    width: 30px;
    height: 30px;
    left: -1px;
    top: 0;
    /* background-image: radial-gradient(circle at 100% 100%, transparent var(--card-inner-radius), #fff calc(var(--card-inner-radius) + 1px)); */
    background-image: radial-gradient(circle at 97% 99%, transparent 28px, #fff 28px);
}

.personal-solution__subject-solutions-detail {
    display: flex;
    margin-bottom: 20px;
}

.personal-solution__solutions-detail-wrapper {
    display: flex;
    flex-direction: column;
    padding: 20px 0 0 10px;
}

.personal-solution__subject-solutions-detail::before {
    content: "";
    display: block;
    width: 6px;
    min-width: 6px;
    border-radius: 5px;
    background-color: #3C4C5D;
}

.personal-solution__subject-solutions-detail .personal-solution__solutions-detail-wrapper div {
    display: flex;
    gap: 10px;
    margin-bottom: 25px;
    padding-bottom: 20px;
    border-bottom: 1px solid #D9D9D9;
}

.personal-solution__subject-solutions-detail .personal-solution__solutions-detail-wrapper div:last-child {
    border-bottom: 1px solid transparent;
}

.personal-solution__subject-solutions-detail div span:has(a) {
    display: inline;
}

.personal-solution__subject-solutions-detail div span {
    display: flex;
    font-size: 12px;
    font-weight: 100;
    flex: .8;
    border-bottom: 1px solid transparent;
}

.personal-solution__subject-solutions-detail div a:hover {
    /* text-decoration: underline; */
    display: inline;
    border-bottom: 1px solid #3c4c5d;
    cursor: pointer;
}

.personal-solution__subject-solutions-detail div p {
    display: flex;
    font-size: 12px;
    font-weight: 100;
    flex: 2;
}

.personal-solution__btns-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.personal-solution__btns-wrapper button {
    width: fit-content;
    min-width: 80%;
}

.personal-solution__btns-wrapper a {
    width: fit-content;
    min-width: 80%;
}

.personal-solution__btns-wrapper--group {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 20px;
}

.personal-solution__subject-titles--desctop {
    display: none;
}

@media only screen and (min-width: 800px) {
    .personal-solution__selected-wrapper {
        display: block;
    }
    
    .personal-solution__title-wrapper {
        justify-content: space-between;
    }

    .personal-solution__solutions-btns {
        flex-wrap: nowrap;
        align-items: center;
    }
}

@media only screen and (min-width: 992px) {
    .personal-solution__btn--add-task {
        display: block;
    }

    .personal-solution__content-wrapper .personal-solution__btn.personal-solution__btn--add-task--mobile {
        display: none;
    }

    /* .personal-solution__selected-wrapper .swiper-wrapper .swiper-slide::after {
        content: "";
        position: relative;
        top: 1px;
        display: block;
        width: 17px;
        min-width: 17px;
        height: 11px;
        background-color: #3C4C5D; 
        -webkit-mask-image: url('data:image/svg+xml;charset=UTF-8,<svg width="17" height="12" viewBox="0 0 17 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.75 4.77296C0.335786 4.77296 9.78789e-09 5.10875 4.47035e-08 5.52296C7.96191e-08 5.93718 0.335787 6.27296 0.75 6.27296L0.75 5.52296L0.75 4.77296ZM16.2803 6.05329C16.5732 5.7604 16.5732 5.28553 16.2803 4.99263L11.5074 0.219664C11.2145 -0.0732295 10.7396 -0.0732295 10.4467 0.219664C10.1538 0.512557 10.1538 0.987431 10.4467 1.28032L14.6893 5.52296L10.4467 9.7656C10.1538 10.0585 10.1538 10.5334 10.4467 10.8263C10.7396 11.1192 11.2145 11.1192 11.5074 10.8263L16.2803 6.05329ZM0.75 5.52296L0.75 6.27296H15.75L15.75 5.52296L15.75 4.77296H0.75L0.75 5.52296Z" fill="black"/></svg>');
        mask-image: url('data:image/svg+xml;charset=UTF-8,<svg width="17" height="12" viewBox="0 0 17 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.75 4.77296C0.335786 4.77296 9.78789e-09 5.10875 4.47035e-08 5.52296C7.96191e-08 5.93718 0.335787 6.27296 0.75 6.27296L0.75 5.52296L0.75 4.77296ZM16.2803 6.05329C16.5732 5.7604 16.5732 5.28553 16.2803 4.99263L11.5074 0.219664C11.2145 -0.0732295 10.7396 -0.0732295 10.4467 0.219664C10.1538 0.512557 10.1538 0.987431 10.4467 1.28032L14.6893 5.52296L10.4467 9.7656C10.1538 10.0585 10.1538 10.5334 10.4467 10.8263C10.7396 11.1192 11.2145 11.1192 11.5074 10.8263L16.2803 6.05329ZM0.75 5.52296L0.75 6.27296H15.75L15.75 5.52296L15.75 4.77296H0.75L0.75 5.52296Z" fill="black"/></svg>');
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
    } */

    .personal-solution__subject-footer .personal-solution__subject-footer--left {
        border-radius: 10px;
    }

    .personal-solution__solutions-detail-wrapper {
        width: 100%;
        padding: 20px 0 0 25px;
    }

    .personal-solution__solutions-detail-wrapper span {
        flex: 1.08;
    }

    .personal-solution__solutions-detail-wrapper div p {
        flex: 3.2;
    }

    .personal-solution__btns-wrapper--group {
        flex-direction: row;
        justify-content: end;
    }

    .personal-solution__selected-wrapper .swiper-wrapper {
        display: flex;
        flex-direction: column;
        gap: 12px;
    }    

    .personal-solution__subject-solutions-wrapper {
        display: flex;
        width: 100%;
    }

    .personal-solution__subject-solutions-item div {
        flex-direction: row;
        height: 100%;
        width: 100%;
        align-items: start;
        gap: 15px;
    }

    .personal-solution__subject-solutions-item {
        padding: 15px 0;
        padding-left: 15px;
    }

    .personal-solution__subject-solutions-title {
        /* flex: 0.9; */
        flex: 1;
        padding: 30px 15px 20px 30px;
        font-size: 16px;
        border-top-left-radius: 10px;
    }

    .personal-solution__subject-solutions-list {
        flex: 3.2;
        padding: 30px 15px 20px 0px;
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
    }

    .personal-solution__subject-titles--desctop {
        display: flex;
        justify-content: space-between;
        background-color: #3C4C5D;
        color: #ffffff;
        gap: 15px;
        padding: 15px 30px;
        border-radius: 10px;
        margin-bottom: 20px;
        font-size: 18px;
        font-weight: 400;
    }

    .personal-solution__selected p.personal-solution__selected-title {
        font-size: 16px;
    }

    div.personal-solution__subject-titles--desctop p {
        margin-bottom: 0;
        padding-left: 35px;
        font-weight: 600;
        flex: 1;
    }

    div.personal-solution__subject-titles--desctop p.personal-solution__subject-titles--flex-2 {
        flex: 2;
    }

    div.personal-solution__subject-titles--desctop p:first-child {
        padding-left: 0px;
    }

    .personal-solution__subject-tasks {
        display: none;
    }

    .personal-solution__detail-wrapper p.personal-solution__detail-title {
        font-size: 16px;
    }

    .personal-solution__content-wrapper {
        flex-direction: row;
        gap: 40px;
    }

    .personal-solution__selected {
        flex: 1.5;
    }

    .personal-solution__detail-wrapper {
        flex: 4;
    }

    .personal-solution__subject-solutions-detail div span {
        font-size: 16px;
        height: fit-content;
    }

    .personal-solution__subject-solutions-detail div p {
        font-size: 16px;
    }

    .personal-solution__subject-solutions-item:hover {
        background-color: #F6F6F7;
        border-radius: 10px;
    }

    .personal-solution__subject-solutions-item .personal-solution__close-btn {
        background-color: #ffffff;
        padding: 10px 13px;
        margin: 0 5px;
    }

    .personal-solution__subject-solutions-item:hover .personal-solution__close-btn {
        visibility: visible;
    }

    .personal-solution__subject-solutions-item div p {
        font-size: 14px;
        flex: 7;
    }

    .personal-solution__subject-solutions-item div span {
        font-size: 14px;
        /* flex: 2; */
        flex: 1.86;
    }

    .personal-solution__selected-wrapper .swiper-wrapper .swiper-slide {
        max-width: 100%;
        min-width: 100%;
        font-size: 18px;
        border-radius: 10px;
        padding: 20px;
    }

    .personal-solution__selected-title {
        display: block;
    }

    .personal-solution__btns-wrapper {
        flex-direction: row;
        justify-content: space-between;
        margin-top: 50px;
    }

    .personal-solution__btns-wrapper button {
        min-width: max-content;
    }

    .personal-solution__btns-wrapper a {
        min-width: 206px;
    }

    .personal-solution__btn {
        font-size: 24px;
    }

    .personal-solution__title {
        font-size: 64px;
    }

    .personal-solution__subject-solutions-list .personal-solution__close-btn {
        visibility: hidden;
    }

    .personal-solution__detail-name {
        font-size: 26px;
        padding: 25px 40px;
        border-radius: 10px;
    }
}

@media only screen and (min-width: 1200px) {
    .personal-solution__content-wrapper {
        gap: 80px;
    }

    .personal-solution__solutions-detail-wrapper {
        padding: 20px 0 0 30px;
    }

    .personal-solution__subject-solutions-list {
        padding: 40px 15px 20px 0px;
    }

    .personal-solution__btns-wrapper button {
        min-width: fit-content;
    }

    .personal-solution__btns-wrapper a {
        min-width: 235px;
    }

    .personal-solution__subject-titles--desctop {
        padding: 20px 40px;
    }

    .personal-solution__subject-solutions-title {
        padding: 55px 15px 20px 40px;
        font-size: 24px;
    }

    .personal-solution__subject-titles--desctop {
        font-size: 20px;
    }

    .personal-solution__selected p.personal-solution__selected-title {
        font-size: 20px;
    }

    .personal-solution__subject-solutions-item div p {
        font-size: 22px;
    }

    .personal-solution__subject-solutions-item div span {
        font-size: 20px;
    }

    .personal-solution__subject-solutions-item div p {
        flex: 5.5;
    }

    .personal-solution__selected-wrapper .swiper-wrapper .swiper-slide {
        font-size: 24px;
    }

    .personal-solution__detail-wrapper p.personal-solution__detail-title {
        font-size: 20px;
    }

    .personal-solution__subject-solutions-detail div span {
        font-size: 20px;
    }

    .personal-solution__subject-solutions-detail div p {
        font-size: 20px;
    }
}

@media only screen and (min-width: 1500px) {
    .personal-solution__subject-solutions-item div p {
        flex: 5;
    }

    .personal-solution__detail-name {
        font-size: 34px;
    }

    .personal-solution__btns-wrapper button {
        min-width: 335px;
    }

    .personal-solution__btns-wrapper a {
        min-width: 335px;
    }

    .personal-solution__solutions-detail-wrapper {
        padding: 20px 0 0 35px;
    }
}

@media only screen and (min-width: 1940px) {
    .personal-solution__subject-solutions-item div p {
        flex: 4.8;
    }
}

.personal-solution__content-wrapper:has(.personal-solution__empty) {
    height: 100%;
    justify-content: center;
    padding: 100px 0;
    align-items: center;
}

.personal-solution__empty {
    font-size: 20px;
}


.mini-popup-sol.selectlimit {
  display: block;
  border-radius: 10px;
  background: rgba(255, 255, 255, 1);
  border: 1px solid #fff;
  /* transition: all 0.3s; */
  transition: transform 0.3s;
  -webkit-transform: translateY(40px);
  opacity: 0;
  visibility: hidden;
  position: fixed;
  left: 15px;
  right: 15px;
  top: 50%;
  z-index: 999;
  max-width: 660px;
  margin-left: auto;
  margin-right: auto;
  max-height: calc(100vh - 80px - 22px);
  overflow: hidden;
  padding: 40px 50px;
}

.is-minipopup-show-sol .mini-popup-sol.selectlimit.is-shown {
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  opacity: 1;
  visibility: visible;
}

.pbi_text_for_mail {
  padding-bottom: 12px;
  line-height: 19px;
}

.pbi_tel {
  font-size: 18px;
  display: flex;
  flex-direction: column;
  padding-bottom: 17px;
}

.pbi_tel a {
  padding-bottom: 5px;
}

.pbi_body {
  padding-bottom: 12px;
  line-height: 19px;
}

.pbi_title {
  line-height: 41px;
  font-size: 3.9vh;
  padding-bottom: 15px;
}